## org.hibernate.ejb.event
Class EJB3PostDeleteEventListener

    java.lang.Object
      org.hibernate.ejb.event.EJB3PostDeleteEventListener

All Implemented Interfaces:
  Serializable, CallbackHandlerConsumer, HibernateEntityManagerEventListener, PostDeleteEventListener

    public class EJB3PostDeleteEventListener

extends Object
implements PostDeleteEventListener, CallbackHandlerConsumer

See Also:
  Serialized Form

Constructor Summary
`EJB3PostDeleteEventListener()`
`EJB3PostDeleteEventListener(EntityCallbackHandler callbackHandler)`

Method Summary
`void` `onPostDelete(PostDeleteEvent event)`
`void` `setCallbackHandler(EntityCallbackHandler callbackHandler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJB3PostDeleteEventListener

    public EJB3PostDeleteEventListener()

### EJB3PostDeleteEventListener

    public EJB3PostDeleteEventListener(EntityCallbackHandler callbackHandler)

Method Detail

### setCallbackHandler

    public void setCallbackHandler(EntityCallbackHandler callbackHandler)

  Specified by:
    `setCallbackHandler` in interface `CallbackHandlerConsumer`

### onPostDelete

    public void onPostDelete(PostDeleteEvent event)

  Specified by:
    `onPostDelete` in interface `PostDeleteEventListener`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.